*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    background-color: hsla(178, 50%, 91%, 1);
    font-family: 'Courier New', Courier, monospace;
}

#meme-form{
    padding: 20px;
    background-color: hsla(178, 50%, 61%, .8);
    color:hsla(25, 50%, 27%, 1);
    font-size: 1.1rem;
    font-weight: bold;
    width: 100%;
    height: 240px;
}

#meme-form label{
    padding: 15px;
    padding-right: 20px;
    width: 24%;
    /* float: left;     */
}

#meme-form input{
    width: 75%;
    padding: 10px;
    margin: 5px;
    background-color: hsla(178, 50%, 91%, 1);
}

#meme-form button{
    width: 300px;
    height: 50px;
    float: right;
    margin: 10px;
    background-color: hsla(160, 30%, 44%, 1);
    color: hsla(178, 50%, 91%, 1);
    font-size: 2rem;
    font-weight: bold;
    letter-spacing: 5px;
    text-shadow: 1px 1px 6px hsla(42, 50%, 46%, 1);
}

#memeHolder{
    margin: 30px;
    display: flex;
    flex-wrap: wrap;
}

.meme{
    background-image: url(https://i.ibb.co/0tTMCTt/Website-Img.png);
    background-size: cover;
    background-repeat: no-repeat;
    width: 400px;
    height: 300px;
    overflow: hidden;
    color: aliceblue;
    position: relative;
    font-size: 1.5rem;
    font-weight: 500;
    font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
    letter-spacing: 2px;
    color: white; /* Text color */
    text-shadow: 
    -1px -1px 0 black, /* Top-left */
    1px -1px 0 black,  /* Top-right */
    -1px 1px 0 black,  /* Bottom-left */
    1px 1px 0 black;   /* Bottom-right */
}



/* used AI to find out how to outline text with black */
.text-outline {
  color: white; /* Text color */
  text-shadow: 
    -1px -1px 0 black, /* Top-left */
    1px -1px 0 black,  /* Top-right */
    -1px 1px 0 black,  /* Bottom-left */
    1px 1px 0 black;   /* Bottom-right */
}

.topText{
    text-align: center;
    padding-top: 5px;
}

.bottomText{
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    text-align: center;
    padding-bottom: 10px;
}